Bug 1855305 - Cannot hotplug disk reports libvirtError: Requested operation is not valid: Domain already contains a disk with that address
Summary: Cannot hotplug disk reports libvirtError: Requested operation is not valid: D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.3
: 4.4.3
Assignee: Arik
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-09 14:03 UTC by Frank DeLorey
Modified: 2021-01-18 12:55 UTC (History)
15 users (show)

Fixed In Version: ovirt-engine-4.4.3.3
Doc Type: Bug Fix
Doc Text:
Previously, hot-plugging a disk to Virtual Machine sometimes failed if the disk was assigned an address that was already assigned to a host-passthrough disk device. In this release, conflicts are avoided by preventing an address that is assigned to host-passthrough disk device from being assigned to a disk that is hot-plugged to the Virtual Machine.
Clone Of:
Environment:
Last Closed: 2020-11-24 13:09:25 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5339891 0 None None None 2020-08-21 16:52:01 UTC
Red Hat Knowledge Base (Solution) 5372981 0 None None None 2020-09-04 13:24:25 UTC
Red Hat Product Errata RHSA-2020:5179 0 None None None 2020-11-24 13:09:49 UTC
oVirt gerrit 110233 0 master MERGED core: make sure a hot-plugged disk is assigned with unique address 2021-01-18 12:50:49 UTC
oVirt gerrit 111066 0 master MERGED core: refactoring related to plug-disk 2021-01-18 12:50:49 UTC
oVirt gerrit 111067 0 master MERGED core: change the way address is assigned to hot-plugged disks 2021-01-18 12:50:49 UTC
oVirt gerrit 111068 0 master MERGED core: propagate address instead of vmdevice 2021-01-18 12:50:50 UTC
oVirt gerrit 111128 0 master MERGED core: skip unplugged disks when assigning addresses to scsi disks 2021-01-18 12:50:50 UTC
oVirt gerrit 111132 0 master MERGED core: apply the formatter on AbstractDiskVmCommand 2021-01-18 12:50:50 UTC

Comment 15 Arik 2020-09-06 07:21:16 UTC
Scenarios to test:

(A) Simple scenario:
1. Run a VM with a single passthrough SCSI disk.
2. Plug a non-passthrough SCSI disk
Expected result: the disk should be plugged successfully to the VM

(B) The reported scenario:
1. Run a VM with 5 non-passthrough SCSI disks and a single passthrough SCSI disk
2. Make sure that the non-passthrough disks are assigned with units 0-4 and the passthrough disk is assigned with unit=5
3. Unplugged the last disk
4. Plug the disk that was just unplugged
5. Make sure that the plugged disk is assigned again with unit=4
6. Plug another non-passthorough SCSI disk
7. Make sure that the disk that was just plugged is assigned with unit=6

Comment 18 Nisim Simsolo 2020-10-22 14:22:19 UTC
Verified:
ovirt-engine-4.4.3.7-0.22.el8ev
vdsm-4.40.34-1.el8ev.x86_64
libvirt-daemon-6.6.0-6.module+el8.3.0+8125+aefcf088.x86_64
qemu-kvm-5.1.0-13.module+el8.3.0+8382+afc3bbea.x86_64

Verification scenario:
as described in:
https://bugzilla.redhat.com/show_bug.cgi?id=1855305#c15

Comment 22 errata-xmlrpc 2020-11-24 13:09:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5179


Note You need to log in before you can comment on or make changes to this bug.